.root {
  display: flex;
  flex-direction: column;
}

.main {
  display: flex;
  align-items: flex-start;
  margin-bottom: 40px;

  .img {
    &-big {
      width: 488px;
      height: 488px;
      margin-right: 40.5px;
      position: relative;

      .img {
        cursor: zoom-in;
      }

      .label {
        position: absolute;
        top: 0;
        left: 0;
      }

      .loopIcon {
        position: absolute;
        bottom: 0;
        right: 0;
        cursor: pointer;
      }
    }

    &-small {
      width: 80px;
      height: 80px;
      box-shadow: 0 2px 16px 0 #60617029;
      margin-right: 40.5px;
    }
  }

  .preOrder {
    display: flex;
    flex-direction: column;
    width: 343px;
    height: 456px;

    .addCart {
      margin-top: 24px;
      display: flex;
      gap: 16px;
    }

    .toFavorite {
      margin-top: 24px;
      margin-bottom: 24px;
      display: flex;
      align-items: center;

      .favoritesIcon {
        width: 20px;
        height: 20px;
        cursor: pointer;

        path {
          transition: all 0.1s ease-in-out;
        }

        path:first-child {
          fill: var(--bg-outline);
        }

        path:last-child {
          fill: var(--white);
        }

        &:hover {
          path {
            fill: var(--accent);
          }
        }

        &-active {
          path:last-child,
          path:first-child {
            fill: var(--accent);
          }
        }
      }

      gap: 8px;
      color: var(--text-secondary);
      font: var(--font-p2);
    }

    .advantages {
      display: flex;
      flex-direction: column;
      gap: 8px;

      .delivery,
      .guarantees {
        position: relative;
        display: flex;
        flex-direction: column;
        gap: 8px;
        background-color: #eceff180;
        padding: 12px 12px 12px 56px;

        .advantagesIcon {
          position: absolute;
          top: 12px;
          left: 12px;
        }

        .title {
          font: var(--font-p1);
          font-weight: 700;
          color: var(--text-main);
        }

        .text {
          font: var(--font-p2);
          color: var(--text-main);

          &-bolded {
            font-weight: 700;
          }
        }
      }
    }
  }
}

.reviews,
.description,
.characters {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin-bottom: 40px;

  .title {
    font: var(--font-h2);
  }

  .text {
    font: var(--font-p1);
  }
}

.characters {
  .text {
    display: flex;
    flex-direction: column;
    gap: 20px;

    .characterSection {
      display: flex;
      align-items: flex-start;

      .characterSplit {
        height: 16px;
        flex-grow: 1;
        flex-shrink: 1;
        border-bottom: 1px dotted var(--bg-outline);
        margin-left: 4px;
        margin-right: 8px;
      }

      .characterSubtitle {
        color: var(--text-secondary);
        font: var(--font-p1);
        width: fit-content;
        flex-shrink: 0;
      }

      .characterText {
        display: flex;
        flex-direction: column;
        gap: 20px;
        width: 844px;
      }
    }
  }
}

.reviewsContent {
  display: flex;
  flex-direction: column;
  padding-bottom: 40px;
}

.reviewItem {
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding-top: 16px;
  padding-bottom: 20px;
  border-bottom: 1px solid var(--bg-outline);
  border-top: 1px solid var(--bg-outline);

  .author {
    font: var(--font-h2);
  }

  .text {
    padding-top: 8px;
  }

  &:last-child {
    border-bottom: none;
  }
}

.nameWrap {
  display: flex;
  align-items: flex-end;
}

.date {
  padding-left: 8px;
  color: var(--text-secondary);
  font: var(--font-p2);
}
